• English
  • Query transaction results

    Request Path

    /api/v2/merchant/payment/queryPayStatus 

    Parameter List

    NameTypeLengthRequiredDescription
    orderIdString32NoUnique Order No of the merchant, which can be used to query the order. If there is no orderId, you can send the orderNo.
    orderNoString32NoUnique Order No of PalmPay, which can be used to query the order. If there is no orderNo, you can send the orderId.

    Return Value

    NameTypeLengthRequiredDescription
    currencyString10yesCurrency (NGN)
    amountLong20yesorder amount (minimum unit measurement) only when orderStatus = 2
    feefee20noTotal fee amount (minimum unit) only when orderStatus = 1 or 2 fee:{ fee: 0, vat: 0}
    orderNoString32yesThe order number responsed by the PalmPay.
    orderIdString32yesMerchant's original order number
    orderStatusLong20yesOrder Status(see Order Status)
    sessionIdString128NoChannel Response Parameters. Note: Most of the non-NIBSS channels do not return sessionId, if there is any problem with this type of order, you need to provide the order number to PalmPay to confirm the actual arrival of the payee.
    messageString20noOrder status description information
    errorMsgString200NoError message
    createdTimeLong-YesOrder creation time
    completedTimeLong-NoOrder completion time

    Postman Example

    request

    curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/merchant/payment/queryPayStatus' \
    --header 'Accept: application/json, text/plain, */*' \
    --header 'CountryCode: NG' \
    --header 'Authorization: Bearer 10241024' \
    --header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
    --header 'Content-Type: application/json' \
    --data '{
        "requestTime":1662171389940,
        "version":"V1.1",
        "nonceStr":"IBJGAeTa4ZJQv4Z2qufomVo9eI1YnJ9Y",
        "orderId":"e7c3784d5e2242fc00afe89ac1234",
        "orderNo":"41220723093001"
    }'

    response

    {
      "respCode":"00000000",
      "respMsg":"success",
      "data":{
        "currency":"NGN",
        "amount":50000,
        "fee": {
          "fee": 402
        },
        "orderNo":"41220723093001",
        "orderId":"e7c3784d5e2242fc00afe89ac1234",
        "orderStatus":2,
        "sessionId": "100033240509135230000500932911",
        "message":"success",
        "createdTime": 1708927047000,
        "completedTime": 1708927065000
      }
    }